
Foreman - Bug #5755

We should replace our repo files

05/16/2014 09:11 AM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Packaging   

Target version: 1.5.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.5.0

Bugzilla link: 1107689 Red Hat JIRA:  

Pull request:    

Description

Our repofiles do not get overwritten, according to our install docs:

http://theforeman.org/manuals/1.5/index.html#3.6Upgrade

yum upgrade http://yum.theforeman.org/releases/1.5/el6/x86_64/foreman-release.rpm

cat /etc/yum.repos.d/foreman.repo.rpmnew > /etc/yum.repos.d/foreman.repo

cat /etc/yum.repos.d/foreman-plugins.repo.rpmnew > /etc/yum.repos.d/foreman-plugins.repo

This does not work if there are old .rpmnew files from previous upgrade. Manual change/edit is necessary. We should remove the

noreplace and update our manual.

Associated revisions

Revision 3848787a - 06/06/2014 09:23 AM - Lukas Zapletal

fixes #5755 - yum repos are replaced from now on

Revision 51edcbc3 - 06/11/2014 01:03 PM - Lukas Zapletal

fixes #5755 - yum repos are replaced from now on

History

#1 - 05/16/2014 09:13 AM - Lukas Zapletal

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/1451

#2 - 05/19/2014 12:39 PM - Anonymous

- Target version changed from 1.8.3 to 1.8.2

#3 - 06/06/2014 01:24 PM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

https://github.com/theforeman/foreman-packaging/commit/3848787a14dc5a905c539b93ec0e99beba0c4384

#4 - 06/10/2014 12:48 PM - Bryan Kearney

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1107689
